LetsBot مینو
شروع کریں اردو زبان

Meta بزنس پارٹنر برطانیہ میں رجسٹرڈ کمپنی

زبان

group · API اینڈپوائنٹ

POST /api/v1/group/create

Create group

You can create group in Whatsapp by passing subject of the group and phone numbers (array).

You can create group in Whatsapp by passing subject of the group and phone numbers (array). The id of the data of the response is the id of the group.

فارم فیلڈز

فیلڈمثال
phones[0]{{phone}}
phones[1]{{phone}}
subjectTest Group

مثالی درخواست

curl -X POST "https://letsbot.net/api/v1/group/create" \
  -H "Authorization: Bearer YOUR_LB_API_KEY" \
  -H "Accept: application/json" \
  -F "phones[0]=9665xxxxxxxx" \
  -F "phones[1]=9665xxxxxxxx" \
  -F "subject=Test Group"
const response = await fetch("https://letsbot.net/api/v1/group/create", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_LB_API_KEY",
    "Accept": "application/json",
  },
  body: new URLSearchParams({
    "phones[0]": "9665xxxxxxxx",
    "phones[1]": "9665xxxxxxxx",
    "subject": "Test Group",
  }),
});

const data = await response.json();
console.log(data);
<?php

$ch = curl_init('https://letsbot.net/api/v1/group/create');

curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer YOUR_LB_API_KEY',
        'Accept: application/json',
    ],
    CURLOPT_POSTFIELDS => http_build_query([
        'phones[0]' => '9665xxxxxxxx',
        'phones[1]' => '9665xxxxxxxx',
        'subject' => 'Test Group',
    ]),
]);

$data = json_decode(curl_exec($ch), true);
curl_close($ch);

print_r($data);
import requests

response = requests.request(
    "POST",
    "https://letsbot.net/api/v1/group/create",
    headers={
        "Authorization": "Bearer YOUR_LB_API_KEY",
        "Accept": "application/json",
    },
    data={
        "phones[0]": "9665xxxxxxxx",
        "phones[1]": "9665xxxxxxxx",
        "subject": "Test Group",
    },
)

print(response.json())

جوابات

Success Response200
(خالی باڈی)
Failed Response202
(خالی باڈی)

جب آپ تیار ہوں، ہم تیار ہیں

یہ اینڈپوائنٹ اپنے نمبر پر آزمائیں

API مفت ٹرائل کے دوران کام کرتا ہے۔ اکاؤنٹ بنائیں، اپنا WhatsApp نمبر جوڑیں اور API ← تصدیقی ڈیٹا سے اپنی کلید کاپی کریں۔